'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-230ed5b4.js');
const index$1 = require('./index-118f8beb.js');

const ebanxCookiesDisclaimerCss = "*{-webkit-box-sizing:border-box;box-sizing:border-box;line-height:1.4}.ebx-cookies-disclaimer{position:fixed;bottom:0;left:0;display:block;width:100%;padding:32px;background-color:white;border-radius:10px;-webkit-box-shadow:2px 4px 8px rgba(0, 0, 0, 0.2);box-shadow:2px 4px 8px rgba(0, 0, 0, 0.2);z-index:101}p{margin:0;font-family:'Gilroy', sans-serif;font-size:14px;font-weight:400;color:#333f48;line-height:1.7}a{color:#0051ff}button{position:relative;display:inline-block;width:80%;max-width:140px;padding:14px;background-color:#0051ff;border:none;border-radius:2px;font-family:'Open Sans', sans-serif;font-size:14px;font-weight:bold;color:white;letter-spacing:0.8px;line-height:1;text-align:center;text-transform:uppercase;cursor:pointer;-webkit-transition:all ease-in-out 210ms;transition:all ease-in-out 210ms}button:hover{background-color:#0040ca}.ebx-cookies-disclaimer__action{margin-top:24px}@media screen and (min-width: 768px){.ebx-cookies-disclaimer{bottom:48px;left:48px;max-width:432px}button{max-width:160px;padding:12px}}";

const EbanxCookiesDisclaimer = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.acceptedCookies = index.createEvent(this, "acceptedCookies", 7);
        this.localStorageKey = `${window.location.host}_cookies_acceptance`;
        /**
         * Policy Privacy link
         * @default 'https://www.ebanx.com/br/politica-de-privacidade/'
         */
        this.link = 'https://www.ebanx.com/br/politica-de-privacidade/';
        this.hasAccepted = localStorage.getItem(this.localStorageKey) !== null;
        this.shouldRender = index$1.isValidDomain();
    }
    acceptCookiesUsage() {
        localStorage.setItem(this.localStorageKey, JSON.stringify({
            accepted: true,
            timestamp: new Date().getTime()
        }));
        this.hasAccepted = true;
        this.acceptedCookies.emit(this.hasAccepted);
        return this.hasAccepted;
    }
    render() {
        if (!this.shouldRender) {
            return null;
        }
        return (index.h(index.Host, null, index.h("div", { class: "ebx-cookie-notice" }, this.hasAccepted ? null : (index.h("div", { class: "ebx-cookies-disclaimer" }, index.h("div", { class: "ebx-cookies-disclaimer__text" }, index.h("p", null, "Esta p\u00E1gina utiliza cookies para coletar informa\u00E7\u00F5es que podem melhorar a experi\u00EAncia do usu\u00E1rio em nosso site. Por isso, \u00E9 preciso aceitar nossa", ' ', index.h("a", { href: this.link, target: "_blank", rel: "noopener noreferrer" }, "Pol\u00EDtica de Privacidade"), ' ', "para continuar a navega\u00E7\u00E3o.")), index.h("div", { class: "ebx-cookies-disclaimer__action" }, index.h("button", { onClick: () => this.acceptCookiesUsage() }, "Aceitar")))))));
    }
};
EbanxCookiesDisclaimer.style = ebanxCookiesDisclaimerCss;

exports.ebanx_cookies_disclaimer = EbanxCookiesDisclaimer;
