import { r as registerInstance, h, H as Host } from './index-215f7c96.js';
var content = {
    en: {
        placeholder: 'Enter your tracking number',
        title: 'Track your orders with',
        buttonTitle: 'Track'
    },
    es: {
        placeholder: 'Ingresa tu código de rastreo',
        title: 'Rastrea tus paquetes con',
        buttonTitle: 'Rastrear'
    },
    pt: {
        placeholder: 'Digite seu código de rastreio',
        title: 'Rastreie suas encomendas com o',
        buttonTitle: 'Rastrear'
    }
};
var ebanxTrackFormCss = ".ebx-track-form__container{-webkit-box-sizing:border-box;box-sizing:border-box;width:100%;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.ebx-track-form__title-container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.ebx-track-form__title{color:#00a3e0;font-family:'Gilroy', sans-serif;font-weight:700;font-size:24px;letter-spacing:0.4px;text-align:center;margin:0;padding-bottom:20px}.ebx-track-form__title-logo{vertical-align:middle}.ebx-track-form__form{width:100%;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.ebx-track-form__input-group{position:relative;max-width:480px;width:100%}.ebx-track-form__input{border:2px solid #9f9faf;-webkit-box-sizing:border-box;box-sizing:border-box;border-radius:6px;padding:16px;font-family:'Gilroy', sans-serif;font-size:16px;font-weight:700;width:100%;outline:none}.ebx-track-form__button{position:absolute;top:50%;right:16px;margin:0;padding:0;background-color:transparent;border:none;-webkit-transform:translateY(-50%);-ms-transform:translateY(-50%);transform:translateY(-50%);cursor:pointer}@media screen and (max-width: 991px){.ebx-track-form__container{padding:0 16px}.ebx-track-form__input-group{width:100%}}";
var EbanxTrackForm = /** @class */ (function () {
    function EbanxTrackForm(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Changes component language and
         * which version of EBANX Track website to send users to
         **/
        this.locale = 'pt';
        /**
         * If true, will not render the form title
         *
         * @default false
         */
        this.hideTitle = false;
        this.formAction = "https://track.ebanx.com/" + this.locale + "/t/";
        this.trackingCodeInputChange = this.trackingCodeInputChange.bind(this);
    }
    EbanxTrackForm.prototype.componentWillRender = function () {
        if (!content[this.locale]) {
            this.locale = 'pt';
        }
    };
    EbanxTrackForm.prototype.trackingCodeInputChange = function (event) {
        var input = event.target;
        var sanitizedTrackingCode = input.value.toUpperCase().trim().replace(/\W/g, '');
        input.value = sanitizedTrackingCode;
    };
    EbanxTrackForm.prototype.render = function () {
        return (h(Host, null, h("div", { class: "ebx-track-form" }, h("div", { class: "ebx-track-form__container" }, !this.hideTitle && (h("div", { class: "ebx-track-form__title-container" }, h("h3", { class: "ebx-track-form__title" }, content[this.locale].title, ' ', h("img", { class: "ebx-track-form__title-logo", src: "https://unpkg.com/@ebanx/global-components/dist/global-components/assets/track-logo--color.svg", alt: "Track Logo" })))), h("form", { class: "ebx-track-form__form", method: "GET", action: this.formAction, target: "_blank" }, h("div", { class: "ebx-track-form__input-group" }, h("input", { class: "ebx-track-form__input", type: "text", name: "trackingCode", placeholder: content[this.locale].placeholder, onInput: this.trackingCodeInputChange, required: true }), h("button", { type: "submit", class: "ebx-track-form__button", title: content[this.locale].buttonTitle }, h("img", { src: "https://unpkg.com/@ebanx/global-components/dist/global-components/assets/search--blue.svg", alt: content[this.locale].buttonTitle }))), h("input", { type: "hidden", name: "utm_source", value: window.location.href }), h("input", { type: "hidden", name: "utm_medium", value: "gc-form" }))))));
    };
    return EbanxTrackForm;
}());
EbanxTrackForm.style = ebanxTrackFormCss;
export { EbanxTrackForm as ebanx_track_form };
